@import 'forms/inputs';
@import 'forms/checkboxes';
@import 'forms/radiobuttons';
@import 'forms/choices';
@import 'forms/select';
@import 'forms/range';
@import 'forms/quantity';
@import 'forms/switch';
@import 'forms/file-field';
@import 'forms/code-switcher';

.form-group {
    margin-bottom: rem(16);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(24);
    }
}

.form-label {
    color: black;
    display: block;
    max-width: 100%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    font-weight: 400;
    font-size: rem(11);
    line-height: rem(16);
    margin-bottom: rem(4);
}

.form-note {
    font-size: rem(13);
    line-height: rem(20);
    color: var(--gray-40);

    a {
        color: var(--primary);
        text-decoration: underline;
        transition: var(--transition-time);

        &:hover {
            color: var(--w75);
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    @include media-breakpoint-up(md) {
        //font-size: rem(15);
        //line-height: rem(20);
    }
}

.field-hint {
    min-height: rem(16);
    color: var(--gray-40);
    font-size: rem(11);
    line-height: rem(16);
    margin-top: rem(4);
}

.form-text {
    color: #666;
    font-size: rem(12);
    line-height: rem(16);
}

.form-footer {
    display: flex;
    row-gap: rem(12);
    flex-direction: column;

    @include media-breakpoint-up(md) {
        align-items: center;
        flex-direction: row;
        column-gap: rem(20);
        justify-content: space-between;

        .form-note {
       //     max-width: rem(360);
        }
    }
}

.form-info {
    color: var(--gray-40);
    font-size: rem(11);
    line-height: rem(16);
    margin-top: rem(4);
}
